Bug 522761 - manual page nsswitch.conf(5) contains a confusing description for file /etc/aliases
Summary: manual page nsswitch.conf(5) contains a confusing description for file /etc/a...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: man-pages
Version: 5.4
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Ivana Varekova
QA Contact: BaseOS QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-11 10:52 UTC by Martin Osvald 🛹
Modified: 2018-10-20 03:49 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-11 09:14:24 UTC


Attachments (Terms of Use)
proposed patch, which clarify the purpose of aliases (741 bytes, patch)
2009-09-11 10:52 UTC, Martin Osvald 🛹
no flags Details | Diff
proposed patch II (696 bytes, text/plain)
2009-09-16 08:02 UTC, Ivana Varekova
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:1574 normal SHIPPED_LIVE man-pages bug fix update 2009-11-11 09:13:32 UTC

Description Martin Osvald 🛹 2009-09-11 10:52:50 UTC
Created attachment 360666 [details]
proposed patch, which clarify the purpose of aliases

Description of problem:

The manual page nsswitch.conf(5) contains the following about aliases:


======== snip from nsswitch.conf(8) ========
aliases
          Mail aliases, used by sendmail(8).  Presently ignored.
======== end of snip ========


which is somewhat confusing.. as it could be understood as the file /etc/aliases isn't used/work at all, but it isn't true. It is used e.g. by Postfix. Moreover, the statement: `Presently ignored.' relates to Sendmail itself as Sendmail on Linux doesn't support `/etc/nsswitch.conf', thus doesn't use the file `/etc/aliases' at all:

https://bugzilla.redhat.com/show_bug.cgi?id=512871


Version-Release number of selected component (if applicable):

RHEL5


Additional info:

I have attached a patch with proposed changes:

aliases
   Mail aliases, provides a system-wide mechanism to redirect mail for local
   recipients. Used by mail transfer agents such as Postfix or sendmail(8).
   Note: On Linux, not like on other Unices, Sendmail uses its own aliases
   resolution system independent on /etc/nsswitch.conf, thus not using
   /etc/aliases file.

Comment 1 Miroslav Lichvar 2009-09-14 10:10:06 UTC
I think the ", thus not using /etc/aliases file" shouldn't be in the description. Both postfix and sendmail do use /etc/aliases, just not through nsswitch.

Comment 2 Miroslav Lichvar 2009-09-14 10:15:29 UTC
Also, "Presently ignored." should probably stay there to make it clear that glibc doesn't support the aliases database.

Comment 4 Ivana Varekova 2009-09-16 08:02:58 UTC
Created attachment 361206 [details]
proposed patch II

This is the patch which results from your comments, are you ok with it or have you some other comment?

Comment 15 errata-xmlrpc 2009-11-11 09:14:24 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1574.html


Note You need to log in before you can comment on or make changes to this bug.